/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as d, createVNode as t } from "vue";
import { classNames as m } from "@progress/kendo-vue-common";
import { UploadListGroup as u } from "./UploadListGroup.mjs";
const y = /* @__PURE__ */ d({
  name: "KendoVueUploadList",
  props: {
    groupedFiles: Object,
    async: Object,
    disabled: Boolean,
    navigationIndex: {
      type: Number,
      default: void 0
    },
    list: [String, Function, Object]
  },
  emits: {
    cancel: null,
    click: null,
    retry: null,
    remove: null
  },
  methods: {
    onClick(e) {
      this.$emit("click", e);
    },
    onRetry(e) {
      this.$emit("retry", e);
    },
    onRemove(e) {
      this.$emit("remove", e);
    },
    onCancel(e) {
      this.$emit("cancel", e);
    }
  },
  render() {
    const {
      groupedFiles: e,
      navigationIndex: i,
      async: o,
      disabled: s,
      list: l
    } = this.$props, a = m("k-upload-files", "k-reset");
    return t("ul", {
      class: a
    }, [Object.keys(e).map(function(n, r) {
      const c = e[n];
      return t(u, {
        key: n,
        files: c,
        index: r,
        navigationIndex: i,
        async: o,
        disabled: s,
        list: l,
        onCancel: this.onCancel,
        onClick: this.onClick,
        onRemove: this.onRemove,
        onRetry: this.onRetry
      }, null);
    }, this)]);
  }
});
export {
  y as UploadList
};
