/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as s, inject as d, createVNode as n } from "vue";
import { classNames as p, Icon as m } from "@progress/kendo-vue-common";
import { provideLocalizationService as u } from "@progress/kendo-vue-intl";
import { headerStatusUploading as l, messages as c, headerStatusUploaded as r } from "./messages/main.mjs";
import { checkIcon as S, exclamationCircleIcon as g, uploadIcon as f } from "@progress/kendo-svg-icons";
const z = /* @__PURE__ */ s({
  props: {
    isUploading: Boolean,
    isUploaded: Boolean,
    isUploadFailed: Boolean
  },
  inject: {
    kendoLocalizationService: {
      default: null
    }
  },
  setup() {
    return {
      kendoLocalizationService: d("kendoLocalizationService", {})
    };
  },
  render() {
    const {
      isUploading: o,
      isUploaded: a,
      isUploadFailed: e
    } = this.$props;
    let i = "";
    const t = u(this);
    return o ? i = t.toLanguageString(l, c[l]) : (a || e) && (i = t.toLanguageString(r, c[r])), n("div", {
      class: p("k-upload-status")
    }, [n(m, {
      name: !o && !e && a ? "check" : !o && e ? "exclamation-circle" : o ? "upload" : "",
      icon: !o && !e && a ? S : !o && e ? g : o ? f : {}
    }, null), i]);
  }
});
export {
  z as UploadStatus
};
